org.eclipse.rdf4j.http.server

## Class ServerHTTPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.rdf4j.http.server.HTTPException
      - - org.eclipse.rdf4j.http.server.ServerHTTPException

- All Implemented Interfaces:
    Serializable

      public class ServerHTTPException
      extends HTTPException

  HTTP-related exception indicating that an error occurred in a server. Status codes for these types of errors are in the 5xx range. The default status code for constructors without a `statusCode` parameter is `500 Internal Server Error`.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHTTPException()` Creates a `ServerHTTPException` with status code 500 "Internal Server Error".
    `ServerHTTPException(int statusCode)` Creates a `ServerHTTPException` with the specified status code.
    `ServerHTTPException(int statusCode, String message)` Creates a `ServerHTTPException` with the specified status code.
    `ServerHTTPException(int statusCode, String message, Throwable t)` Creates a `ServerHTTPException` with the specified status code.
    `ServerHTTPException(int statusCode, Throwable t)` Creates a `ServerHTTPException` with the specified status code.
    `ServerHTTPException(String msg)` Creates a `ServerHTTPException` with status code 500 "Internal Server Error".
    `ServerHTTPException(String msg, Throwable t)` Creates a `ServerHTTPException` with status code 500 "Internal Server Error".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setStatusCode(int statusCode)`

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.HTTPException

      `getStatusCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHTTPException

          public ServerHTTPException()

      Creates a `ServerHTTPException` with status code 500 "Internal Server Error".

    - #### ServerHTTPException

          public ServerHTTPException(String msg)

      Creates a `ServerHTTPException` with status code 500 "Internal Server Error".

    - #### ServerHTTPException

          public ServerHTTPException(String msg,
                                     Throwable t)

      Creates a `ServerHTTPException` with status code 500 "Internal Server Error".

    - #### ServerHTTPException

          public ServerHTTPException(int statusCode)

      Creates a `ServerHTTPException` with the specified status code. The supplied status code must be in the 5xx range.
      Throws:
        `IllegalArgumentException` - If `statusCode` is not in the 5xx range.

    - #### ServerHTTPException

          public ServerHTTPException(int statusCode,
                                     String message)

      Creates a `ServerHTTPException` with the specified status code. The supplied status code must be in the 5xx range.
      Throws:
        `IllegalArgumentException` - If `statusCode` is not in the 5xx range.

    - #### ServerHTTPException

          public ServerHTTPException(int statusCode,
                                     String message,
                                     Throwable t)

      Creates a `ServerHTTPException` with the specified status code. The supplied status code must be in the 5xx range.
      Throws:
        `IllegalArgumentException` - If `statusCode` is not in the 5xx range.

    - #### ServerHTTPException

          public ServerHTTPException(int statusCode,
                                     Throwable t)

      Creates a `ServerHTTPException` with the specified status code. The supplied status code must be in the 5xx range.
      Throws:
        `IllegalArgumentException` - If `statusCode` is not in the 5xx range.

  - ### Method Detail

    - #### setStatusCode

          protected void setStatusCode(int statusCode)

      Overrides:
        `setStatusCode` in class `HTTPException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.